﻿using Syncfusion.SfAutoComplete.XForms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using Xamarin.Forms;
using System.Collections.ObjectModel;

namespace AutoComplete128205
{
	public partial class AutoComplete128205Page : ContentPage
	{
        public ObservableCollection<Person> personCollection;
        SfAutoComplete autocomplete = new SfAutoComplete();

        public ObservableCollection<Person> list1 ;

		public AutoComplete128205Page()
		{
			InitializeComponent();


            autocomplete.DisplayMemberPath = "Name";
            autocomplete.SelectedValuePath = "Age";
            autocomplete.MaximumDropDownHeight = 200;

           
            personCollection = new ObservableCollection<Person>();
            personCollection.Add(new Person("Joes", 30));
            personCollection.Add(new Person("Anita", 20));
            personCollection.Add(new Person("Gorge", 40));
            personCollection.Add(new Person("Jessy", 50));
            personCollection.Add(new Person("Arya", 60));
            autocomplete.DataSource = personCollection;

            Entry selectvaluePath = new Entry();
            
            Label selectpath = new Label();
            selectpath.Text = "SelectValue";
            Entry selectedIndex = new Entry();
         
            Label selectindex = new Label();
            selectindex.Text = "SelectedIndex";

           


         
            StackLayout autocompleteLayout = new StackLayout();
            autocompleteLayout.Padding = 30;
            autocompleteLayout.Children.Add(autocomplete);
            autocompleteLayout.Children.Add(selectpath);
            autocompleteLayout.Children.Add(selectvaluePath);
            autocompleteLayout.Children.Add(selectindex);
            autocompleteLayout.Children.Add(selectedIndex);
          
            Content = autocompleteLayout;
            autocomplete.SelectionChanged += (sender, e) =>
            {
                selectvaluePath.Text = autocomplete.SelectedValuePath;
                selectedIndex.Text = autocomplete.SelectedIndex.ToString();
            };




        }
      



        public class Person : View
        {
            public Person(String _name, int _age)
            {
                this.Name = _name;
                this.Age = _age;
            }
            public String Name
            {
                get { return (String)GetValue(NameProperty); }
                set { SetValue(NameProperty, value); }
            }

            public static readonly BindableProperty NameProperty =
                BindableProperty.Create<Person, String>(p => p.Name, "", BindingMode.Default, null, null);
            public int Age
            {
                get { return (int)GetValue(AgeProperty); }
                set { SetValue(AgeProperty, value); }
            }
            public static readonly BindableProperty AgeProperty =
                BindableProperty.Create<Person, int>(p => p.Age, 22, BindingMode.Default, null, null);
        }

    }


}
